Import Shotgun tasks. Send a list of Shotgun task entries in the JSON body. Only tasks with steps and projects are imported. Returns created or updated tasks with assignees.
POST
/import/shotgun/tasks
curl
curl -X POST "http://api.example.com/import/shotgun/tasks" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
{
"id": 12345,
"cached_display_name": "Modeling for Asset",
"start_date": "2024-01-15",
"due_date": "2024-02-15",
"sg_sort_order": 1,
"duration": 30,
"step": {
"id": 11111
},
"project": {
"id": 22222
},
"entity": {
"id": 33333,
"type": "Asset"
},
"sg_status_list": "IP",
"created_by": {
"id": 44444
},
"task_assignees": [
{
"id": 55555
}
]
}
]'
import requests
url = "http://api.example.com/import/shotgun/tasks"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
{
"id": 12345,
"cached_display_name": "Modeling for Asset",
"start_date": "2024-01-15",
"due_date": "2024-02-15",
"sg_sort_order": 1,
"duration": 30,
"step": {
"id": 11111
},
"project": {
"id": 22222
},
"entity": {
"id": 33333,
"type": "Asset"
},
"sg_status_list": "IP",
"created_by": {
"id": 44444
},
"task_assignees": [
{
"id": 55555
}
]
}
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/import/shotgun/tasks' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '"[\n {\n \"id\": 12345,\n \"cached_display_name\": \"Modeling for Asset\",\n \"start_date\": \"2024-01-15\",\n \"due_date\": \"2024-02-15\",\n \"sg_sort_order\": 1,\n \"duration\": 30,\n \"step\": {\n \"id\": 11111\n },\n \"project\": {\n \"id\": 22222\n },\n \"entity\": {\n \"id\": 33333,\n \"type\": \"Asset\"\n },\n \"sg_status_list\": \"IP\",\n \"created_by\": {\n \"id\": 44444\n },\n \"task_assignees\": [\n {\n \"id\": 55555\n }\n ]\n }\n]"'
Request example
[
{
"id": 12345,
"cached_display_name": "Modeling for Asset",
"start_date": "2024-01-15",
"due_date": "2024-02-15",
"sg_sort_order": 1,
"duration": 30,
"step": {
"id": 11111
},
"project": {
"id": 22222
},
"entity": {
"id": 33333,
"type": "Asset"
},
"sg_status_list": "IP",
"created_by": {
"id": 44444
},
"task_assignees": [
{
"id": 55555
}
]
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Modeling for Asset",
"start_date": "2024-01-15",
"due_date": "2024-02-15",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]